<?php
namespace Modules\RemoteData\AutocompleteAdvancedSearch\Corporate;

class Model extends \Modules\Partners\Corporates\Model
{
	public function list_execute(\App\Mvc\View\Listing\Members\Params $listingParams)
	{
		$filters = $listingParams->getFilters();

		$filters['duplicateStatus'] = 'notDuplicated';
		$filters['blockStatus'] = 'notBlocked';

		$listingParams->setFilters($filters);

		return parent::list_execute($listingParams);
	}
}
